<template>
  <div class="content-box"></div>
</template>

<script setup>
import {
  ref,
  reactive,
  nextTick,
  onMounted,
  watch,
  onBeforeMount,
  onUnmounted,
} from "vue";
import COS from "cos-js-sdk-v5";
import { useRouter } from "vue-router";
import { genFileId, ElMessage, ElMessageBox } from "element-plus";
import { Calendar } from "@element-plus/icons-vue";
import { dayjs } from "element-plus";
import lodash, { reduce } from "lodash";
import axios from "axios";
import { useStore } from "vuex";
const store = useStore();
const router = useRouter();

const api = ref();
onMounted(() => {
  api.value = store.state.user.api;
  if (router.currentRoute.value.query.token) {
    let tokenP = router.currentRoute.value.query.token;
    sessionStorage.setItem("tokenP", tokenP);
    // let roleList = JSON.parse(sessionStorage.getItem("roleList"));
    // if (roleList) {
    //   router.push({
    //     path: `/process/${roleList[0].url}`,
    //   });
    // }
  } else {
    router.push({
      path: `/process/error`,
    });
  }
});
onUnmounted(() => {
  // document.removeEventListener("keyup", Enters);
});
</script>

<style scoped lang="scss">
.content-box {
  min-width: 1050px;
  width: calc(100vw - 260px);
  height: calc(100vh - 105px);
  margin: 20px auto;
  background-color: #fff;
  // color: #fff;
  display: flex;
  flex-direction: column;
  box-shadow: 0px 3px 10px rgba(0, 97, 255, 0.2);
}
</style>
